## tesseract 4.00~git2904-07acc2b2

=== debian/changelog ===
tesseract (4.00~git2904-07acc2b2-1) unstable; urgency=medium

  * Compile
  * Bump Standards-Version to 4.2.0
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 07acc2b260187eebeb5aed4d063156612560fa24
  * Date: 1534972118
  * git changelog:
  *  b08966ad - Fix assertion caused by access to default TBOX
  *  7910a766 - Fix CID 1164567 (Dereference after null check)
  *  f3c7a17d - Fix CID 1395108 (Dereference after null check)
  *  6092a8f8 - Fix CID 1395109 (Logically dead code)
  *  ac176630 - Fix CID 1395113 ('Constant' variable guards dead code)
  *  7e9dfefc - Fix CID 1395114 ('Constant' variable guards dead code)
  *  99efc13d - Fix CID 1395116 ('Constant' variable guards dead code)
  *  663be426 - Added the option for character accumulated glyph
    confidences.
  *  43e3f24b - add variable  --save_box_tiff to Save box/tiff pairs
    along with lstmf files.
  *  debe3da3 - remove duplicate include
  *  b34cf9d4 - Javanese script training
  *  e1c387c9 - Fix typo in comments and variable name
  *  bf333011 - Fix typo in function name
  *  64123749 - Fix typo in comments and variable name
  *  95ed924d - Fix typo in function name
  *  ce135de3 - scrollview: Clean include statements
  *  296309c1 - remove duplicate include. Fixes #1837
  *  4cda775d - Revert Makefile.am to beta.2
  *  7957288f - chamge validate javanese similar to indic
  *  f93f9e8a - fix typo re Javanese
  *  0eb7be1c - Initial COmmit to add Aksara Jawa - Javanese script
  *  6a0f8e8c - ColPartition: Rename median_size_ -> median_height_
  *  8af80b7b - Fix ImageThresholder::OtsuThresholdRectToPix for OpenCL
  *  27ce4726 - Fix potential crash with --psm 0 and use osd.traineddata
    automatically (closes: #906922)
  *  65997bed - Fix issue detected by Coverity Scan
  *  d28631a2 - Fix issues detected by Coverity Scan
  *  6a28cce9 - Fix whitespace issues
  *  2d96c661 - Fix issue detected by Coverity Scan
  *  eb69dd02 - TessPDFRenderer: Improve robustness of API (issue #1804)
  *  d4490af0 - Fix issue reported by Coverity Scan
  *  83a4eb3b - Fix issue reported by Coverity Scan
  *  9cf170cb - Revert "Change default width for images output by
    text2image"
  *  b19e6908 - training: Add new flag --workspace_dir to
    tesstraining_utils.sh
  *  b50073ec - Minor formatting proposals
  *  2315fe2a - Minor formatting proposals
  *  91c7504a - Added a feature to enrich the hOCR output with glyph
    confidences

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 23 Aug 2018 17:56:35 +0300

tesseract (4.00~git2844-607e8fd8-1) unstable; urgency=medium

  * Compile
  * fix patch - man.diff, helptext
  * fixed build with dpkg-buildpackage -A (closes: #901750)
  * fixed path to phototest.tif
  * Update dependencie for tesseract-ocr, libtesseract4 - add
    "liblept5 >= 1.75.3"(closes: #903606)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 607e8fd85c675d2348b80703665455a6fab1aeac
  * Date: 1532170875
  * git changelog:
  *  132c540c - Increase limit for deserialization of large arrays
  *  b15624eb - Fix regression (shared libraries no longer supported)
  *  f577e292 - Increase limit and add assertions for deserialization of
    large arrays
  *  ca25d885 - Add missing execute permission for script files
  *  58208522 - configure: Clean code for --enable-visibility
  *  a07025c9 - configure: Clean code for --enable-opencl
  *  0ad6e3e7 - configure: Clean code for --enable-legacy
  *  e47a9272 - configure: Clean code for --enable-graphics
  *  cfc5ef65 - configure: Clean code for --enable-embedded
  *  11cafd76 - configure: Clean code for --enable-debug
  *  11d9d8e5 - configure: Remove macro AC_SYS_INTERPRETER
  *  0a4edf61 - configure: Remove large file support
  *  4bbebd3f - Remove tests for function getline
  *  3a7f5e4d - Merge pull request #1786 from stweil/serialize
  *  b7b8dba5 - LSTMTrainer: Use new serialization API
  *  1dcda1aa - LSTMRecognizer: Use new serialization API
  *  45a7ccf2 - LSTM: Use new serialization API
  *  f4449ba4 - Convolve: Use new serialization API
  *  dfc3e969 - SquishedDawg: Use new serialization API
  *  6cf50896 - UnicharAndFonts, Shape: Use new serialization API
  *  07b363fe - MasterTrainer: Use new serialization API
  *  88b3d940 - TessdataManager: Use new serialization API
  *  da0217fa - STRING: Use new serialization API
  *  5e05f2cb - IndexMap: Use new serialization API and optimize code
  *  edff1d18 - BitVector: Use new serialization API
  *  bb6c0123 - ICOORD: Use new serialization API
  *  66bc012d - UNICHARSET: Use new serialization API
  *  eb90068b - RecodedCharID: Use new serialization API
  *  0ca7cdd2 - WordFeature, ImageData: Use new serialization API
  *  7133a6f4 - GENERIC_2D_ARRAY: Use new serialization API
  *  ea660f83 - fontinfo: Use new serialization API and optimize code
  *  6ef267c4 - Use TFile::Serialize, TFile::DeSerialize
  *  c383b1aa - TFile: Add helper functions for serialization of simple
    data types
  *  bdd2a7ae - Use tesseract::Serialize, tesseract::DeSerialize
  *  16832f98 - Add helper functions for serialization of simple data
    types
  *  216c2b31 - Fix typo and add TODO comment
  *  2b6a356c - IntFeatureSpace: Remove unused DeSerialize method
  *  f47daace - Update appveyor.yml
  *  14d8c74e - Update appveyor.yml
  *  d330eeae - Update appveyor.yml
  *  9eed164a - Update appveyor.yml
  *  9ff65386 - Update appveyor.yml
  *  cfd72ff3 - Fix --print-parameters (regression)
  *  88ebfea4 - opencl: Fix crash and clean code a bit
  *  0d497593 - Replace tprintf_internal by tprintf and clean tprintf
    code
  *  24bf8c33 - Add include statements (needed for following commit)
  *  8bd95673 - Fix some comments
  *  44415a70 - Remove unused EXTERN macros
  *  7e80a850 - Remove unused macros
  *  609edd46 - Add missing include statement
  *  55f0ca58 - Add missing include statements and clean some include
    statements

