=== debian/changelog ===
tesseract (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * moved sh scripts to usr/share/tesseract-ocr/ (closes: #913017)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 51316994ccae0b48692d547030f26c0969308214
  * Date: 1540803796
  * git changelog:
  *  51316994 - 4.0.0 Release
  *  ba64aaf2 - add lstmdebug config to distribution and installation
    process
  *  125fdc3f - Add debug configuration for LSTM

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 06 Nov 2018 19:51:59 +0300
