=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                automake, libtool, libpango1.0-dev, libcairo2-dev, libicu-dev,
                libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
                xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 4.00~)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/tesseract-ocr/
 Vcs-Git: https://github.com/AlexanderP/tesseract-debian.git
 Vcs-Browser: https://github.com/AlexanderP/tesseract-debian
